> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/cross-project-reports/missing-units/apply
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/cross-project-reports/missing-units/apply:
    post:
      tags:
        - Cross Project Report Unit Assignments
      summary: Apply
      operationId: CrossProjectReportUnitAssignmentsController_apply_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplyCrossProjectReportUnitAssignmentsDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
components:
  schemas:
    ApplyCrossProjectReportUnitAssignmentsDto:
      type: object
      properties:
        targets:
          minItems: 1
          maxItems: 100
          type: array
          items:
            type: object
            properties:
              projectId:
                type: string
              slotId:
                type: string
              projectItemId:
                type: string
              version:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
              slotVersion:
                type: integer
                exclusiveMinimum: 0
                maximum: 9007199254740991
              catalogFamilyVersion:
                anyOf:
                  - type: integer
                    exclusiveMinimum: 0
                    maximum: 9007199254740991
                  - type: 'null'
            required:
              - projectId
              - slotId
              - projectItemId
              - version
              - slotVersion
              - catalogFamilyVersion
            additionalProperties: false
        unit:
          type: string
          minLength: 1
          maxLength: 200
      required:
        - targets
        - unit
      additionalProperties: false

````